plot.scale.box {sma} | R Documentation

## Box plots for microarray

### Description

Produce box-and-whisker plot(s) of the given (grouped) values.

### Usage

    plot.scale.box(x, layout, x.names=NULL, ...)

### Arguments

`x` | a vector or a matrix.
`layout` | a list specifying the dimensions of the spot matrix and the grid matrix. This can be generated by calling `init.grid`.
`x.names` | group labels which will be printed under each boxplot.
`...` | further arguments to the default boxplot method and graphical parameters may also be passed as arguments, see `par`.

### Details

If x is a vector, this function will produce n boxplots where n is number of print-tips groups. If x is a matrix, this function will produce n boxplots where n is number of columns in the matrix.

### Author(s)

Yee Hwa Yang, yeehwa@stat.berkeley.edu

### See Also

`boxplot`, `bxp`

### Examples

         data(MouseArray)
         # mouse.setup <- init.grid()
         # mouse.data <- init.data() ## see \emph{init.data}
         mouse.lratio <- stat.ma(mouse.data, mouse.setup)
         ## Producing boxplots for different print-tips groups.
         plot.scale.box(mouse.lratio$M[,1], mouse.setup)
         ## Producing boxplots for different slides.
         plot.scale.box(mouse.lratio$M)

[Package sma version 0.5.14 Index]